/**
 * 字体rem 设计稿大小/32(640*28)
 * */
(window.__setFontSize__=function(){document.documentElement.style.fontSize = Math.min( 640, Math.max(document.documentElement.clientWidth, 320) ) / 320 * 14 + 'px'})()

/**
 * 接口域名
 * */
function getDomain(){
	var siteUrl = 'http:// 124.232.133.207:8080';
	return siteUrl;
}

function isEmail(b) {
	var a = /^[a-zA-Z0-9]{1,40}[\w\.]*@[a-zA-Z0-9]{1,40}\.{1}[\w\.]{2,40}$/;
	//var a = /^[A-Za-z0-9]+([-_.][A-Za-z0-9]+)*@([A-Za-z0-9]+[-.])+[A-Za-z0-9]{2,5}$/;
	return a.test(b);
}

function isPhone(b) {
	var a = /(^0{0,1}1[3|4|5|6|7|8|9][0-9]{9}$)/;
	if(!a.exec(b)) {
		return false
	} else {
		return true
	}
}

function isMobile(a) {
	var b = /^(((1[3-8][0-9]{1}))+\d{8})$/;
	if(!b.test(a)) {
		return false
	} else {
		return true
	}
};
//var b = /^0?1[3|4|5|7|8][\d]{1}[-\s]?[\d]{4}[-\s]?[\d]{4}$/ ;

function Trim(str,is_global){
	var result;
	result = str.replace(/(^\s+)|(\s+$)/g,"");
	if(is_global.toLowerCase()=="g"){
	   result = result.replace(/\s/g,"");
	}
	return result;
}

function isIdentity(b) {
	//var a = /(^\d{15}$)|(^\d{17}([0-9]|X)$)/;
	var a = /^[1-9]{1}[0-9]{14}$|^[1-9]{1}[0-9]{16}([0-9]|[xX])$/;
	if(!a.test(b)) {
		return false
	} else {
		return true
	}
} 

function isBank(b) {
	var a = /^\d{15}|\d{16}|\d{19}$/;
	if(!a.test(b)) {
		return false
	} else {
		return true
	}
}

function is6Pwd(a) {
	var b = /^\d{6}$/;
	if(!b.test(a)) {
		return false
	} else {
		return true
	}
};

function objID(id){
	return typeof id === 'string' ? document.getElementById(id) : id;
}

function userType(n, c){
	if(c){
		return c;
	}else{
		switch(n){
			case '0': return '支付宝用户'; break;
			case '1': return '微信用户'; break;
			case '2': return '银联用户'; break;
			default: return '未知用户'; break;
		}
	}
}
//付款账单状态
function payStatus(n){
	switch(n){
		case '0':return '付款失败';break;
		case '1':return'付款成功';break;
		default: return '付款失败'; break;
	}
}

function payWay(n){
	switch(n){
		case '0': return '支付宝10'; break;
		case '1': return '微信10'; break;
		case '2': return '银联支付'; break;
		case '3': return '手动记账'; break;
		case '40T0': return '支付宝秒到'; break;
		case '41T0': return '微信秒到'; break;
		case '40T1': return '支付宝20'; break;
		case '41T1': return '微信20'; break;
		default: return '未知通道'; break;
	}
}

//暂时隐藏  无人用
function storeWay(t){
	if(t == '2'){
		//return '商户银联账户';
		return '小额测试商户';
	}else{
		return '商家余额';
	}
}

function custN(n, c){
	if(!!c){
		return c;
	}else{
		return n;
	}
}

function iconType(n){
	switch(n){
		case '0': return 'way_zhi'; break;
		case '1': return 'way_wechat'; break;
		case '2': return 'way_yin'; break;
		case '3': return 'way_yin'; break;
		case '40T0': return 'way_zhi'; break;
		case '41T0': return 'way_wechat'; break;
		case '40T1': return 'way_zhi'; break;
		case '41T1': return 'way_wechat'; break;
		default: return 'way_yin'; break;
	}
}

/**
 * t 类型  收款：1 付款：2
 * c 收款渠道  支付宝 0 微信 1 银联 2
 * r 已读 or 未读
 * n 银行卡的名字
 * */
//function billImg(t, c, r, n){
//	if(t == '1'){
//		return '<span class="'+ iconType(c) +'"></span>'+ readyYet(r);
//	}else{
//		return '<img src="images/bank/bankLogo'+ bankLogo(n) +'.png" />'
//	}
//}

function billImg(n){
	return '<img src="images/bank/bankLogo'+ bankLogo(n) +'.png" />'
}

/**
 * d 支付是否状态
 * */
function billStatus(t, d){
	if(t == '1'){
		return stateType(d);
	}else{
		return cStateType(d);
	}
}

/**
 * w 付款对象
 * */
function billWho(t, c, w){
	if(t == '1'){
		return userType(c);
	}else{
		return notNull(w);
	}
}

function stateType(n){
	switch(n){
		case '0': return '<h6 class="tfail">等待收款</h6>'; break;
		case '1': return '<h6>收款成功</h6>';				  break;
		case '2': return '<h6 class="tfail">收款失败</h6>'; break;
		default: break;
	}
}

function stateType3(n){
	switch(n){
		case '0': return '等待收款'; break;
		case '1': return '收款成功'; break;
		case '2': return '收款失败'; break;
		default: break;
	}
}

function stateType2(n){
	switch(n){
		case '0': return '<h6 class="tfail">等待支付</h6>'; break;
		case '1': return '<h6>支付成功</h6>'; break;
		case '2': return '<h6 class="tfail">支付失败</h6>'; break;
		default: break;
	}
}

function paySF(n, s){
	if(n != 1){
		return '<em class="pfail">'+ floatNum(s) +'</em>';
	}else{
		return '<em>+'+ floatNum(s) +'</em>'
	}
}

function payF(n, s){
	if(n != 1){
		return '<em class="pfail">'+ floatNum(s) +'</em>';
	}else{
		return '<em>-'+ floatNum(s) +'</em>'
	}
}

//合并参数
function paySF1(t, n, s){
//	var str;
//	t == '1' ? n == '1' ? str = '<em>+'+ floatNum(s) +'</em>' : str = '<em class="pfail">'+ floatNum(s) +'</em>' : str = '<em>-'+ floatNum(s) +'</em>'
//	return str;
	
	if(t == '1'){
		if(n != 1){
			return '<em class="pfail">'+ floatNum(s) +'</em>';
		}else{
			return '<em>+'+ floatNum(s) +'</em>'
		}
	}else{
		if(n != 1){
			return '<em class="pfail">'+ floatNum(s) +'</em>';
		}else{
			return '<em>-'+ floatNum(s) +'</em>'
		}
	}
}

function refundTip(t, s){
	var n = t - s;
	
	if(n == 0){
		return '<i>已全部退款</i>';
	}else if(n < t){
		return '<i>部分退款(-'+ floatNum(s/100) +')</i>';
	}else{
		return '';
	}
}

function payFee(n, s){
	if(n != 1){
		return '<em class="pfail">'+ floatNum(s) +'</em>';
	}else{
		return '<em>+'+ floatNum(s) +'</em>'
	}
}


//天
function dateHtml(day, come){
	var html = '';
	html += '<div class="bill_date opacity">';
		html += '<span>支出：￥'+ floatNum(come/100) +'</span>';
		html += '<p>'+ day +'</p>';
	html += '</div>';
	
	return html;
}

//天
function datHtml(day, come){
	var html = '';
	html += '<div class="bill_date opacity">';
		html += '<span>收入：￥'+ floatNum(come/100) +'</span>';
		html += '<p>'+ day +'</p>';
	html += '</div>';
	
	return html;
}

//天
function dateTit(day){
	var html = '';
	html += '<div class="bill_date">';
		html += '<p>'+ day +'</p>';
	html += '</div>';
	
	return html;
}

//提现记录状态
function cashState (n){
	switch(n){
		case '0': return '审核中'; break;
		case '1': return '审核通过'; break;
		case '12': return '提现中'; break;
		case '2': return '提现成功'; break;
		case '3': return '提现失败'; break;
		case '4': return '审核失败'; break;
		default: break;
	}
}

//银行卡号后4位
function bankEnd(str){
	if(str){
		return str.substr(str.length-4);
	}else{
		return ;
	}
}

//截取月份
function MonthData(m){
	var o = m.substr(5,2);
	return  o.replace(/\b(0+)/gi,"");
}

//月份栏
function MonthHtml(mon){
	var html = '<h6 class="cr_month">'+ mon +'月</h6>';
	return html;
}

function recordSt(n){
	var st,
		stateT;
	switch(n){
		case '0': 
			st = 'iconfont icon-jinxingzhong';
			stateT = '审核中';
			break;
		case '1': 
			st = 'iconfont icon-jinxingzhong';
			stateT = '审核通过';
			break;
		case '12': 
			st = 'iconfont icon-jinxingzhong';
			stateT = '提现中';
			break;
		case '2': 
			st = 'iconfont icon-chenggong';
			stateT = '提现成功';
			break;
		case '3': 
			st = 'iconfont icon-shibai';
			stateT = '提现失败';
			break;
		case '4': 
			st = 'iconfont icon-shibai';
			stateT = '审核失败';
			break;
		default: break;
	}
	var html = '<p>';
		html += '<span class="'+ st +'"></span>';
		html += '<em>'+ stateT +'</em>';
	html += '</p>';
	
	return html;	
}

//弹出等待框
function showLoad(){
	var html = '';
	html += '<div class="loadCircle"><img src="images/loading.png" /></div>';
	
	$('body').prepend(html);
	$('.loadCircle').fadeIn(500);
}

function closeLoad(){
	$('.loadCircle').remove();
}

function billTime(t){
	return t.substr(11, 8);
}

function readyYet(t){
	if(t == '1'){
		return '<i class="bill_tag hide"></i>'
	}else{
		return '<i class="bill_tag"></i>'
	}
}

function codeType(n){
	if(n == 'unicon'){
		return '银联二维码';
	}else if(n == 'test'){
		return '测试商户二维码';
	}else{
		return '支付宝微信二维码';
	}
}

//保留小数点后面两位
function floatNum(n) {
	n = n +'';
	var b = n.indexOf('.');
	
	if(b < 0){
		return (n +'.00');
	}else{
		if(n.length - b == '2'){
			return (n +'0');
		}else{
			return n.substr(0, b+3);
		}
	}
}

//银行卡logo
function bankLogo(n){
	if(!!n && n.indexOf('-') > 0){
		n = n.split('-')[0]
	}
	
	switch(n){
		case '建设银行': return '1'; break;
		case '邮政储蓄': return '2'; break;
		case '农业银行': return '3'; break;
		case '中国银行': return '4'; break;
		case '浦发银行': return '5'; break;
		case '中国农村信用社': return '6'; break;
		case '工商银行': return '7'; break;
		case '广发银行': return '8'; break;
		case '中国民生银行': return '9'; break;
		case '中国光大银行': return '10'; break;
		case '兴业银行': return '11'; break;
		case '渤海银行': return '12'; break;
		case '招商银行': return '13'; break;
		case '中信银行': return '14'; break;
		case '长沙银行': return '15'; break;
		case '交通银行': return '16'; break;
		case '华夏银行': return '17'; break;
		case '湖南省农村商业银行': return '18'; break;
		case '广州银行': return '19'; break;
		case '平安银行': return '20'; break;
		default: return '21'; break;
	}
}

//当Logo值为空或为其他任意假值时，定义为默认图片名;
function logoDefault(bankLogo){
	if(bankLogo == 'null' || bankLogo == undefined || !bankLogo)
	return 'default'; 
	else
	return bankLogo
}

function initBank(n){
	if(n == '0'){
		return 'selected';
	}else{
		return '';
	}
}

function pwd6(t) {
	var b = /^\d{6}$/;
	if(!b.test(t)) {
		return false
	} else {
		return true
	}
};

function bankType(n){
	if(n.length == '19'){
		return '储蓄卡';
	}else{
		return '信用卡';
	}
}

function cStateType(n){
	switch(n){
		case '0': return '等待付款'; break;
		case '1': return '付款成功'; break;
		case '2': return '付款失败'; break;
		default: break;
	}
}

function notNull(n){
	var m = n +'';
	return (m == 'null') ? '未知商户' : n;
}

//店员列表公司类
function employCom(t, m){
	var html = '';
	html += '<div class="empm_tit cl">';
		html += '<span>'+ m +'人</span>';
		html += '<h4>'+ t +'</h4>';
	html += '</div>';
	
	return html;				
}

function secondStatus(n, t){
	var m = n.length;
	if(t == 'T0'){
		if(m == 5){
			return '秒到成功';
		}else if(m == 1){
			return '秒到失败';
		}else{
			return '部分成功';
		}
	}else{
		if(m == 5){
			return '到账成功';
		}else if(m == 1){
			return '到账失败';
		}else{
			return '部分成功';
		}
	}
}

function secondStatus2(n, t){
	if(t == 'T0'){
		if(n == '00'){
			return '秒到成功';
		}else{
			return '秒到失败';
		}
	}else{
		if(n == '00'){
			return '到账成功';
		}else{
			return '到账失败';
		}
	}
}

function secChannel(m){
	switch(m){
		case '40T0': return '支付宝秒到'; break;
		case '41T0': return '微信秒到'; break;
		default: break;
	}
}

function secType(t){
	if(t == 'T0'){
		return '秒到T0';
	}else{
		return 'T+1';
	}
}

var timer = null;
function timeOut(obj){
	timer = setTimeout(function(){
		if($(obj).html() == '' && $('.loadMore').text() != '暂无数据'){
			plus.nativeUI.closeWaiting();
			mui.toast('加载超时');
		}
	}, 20000); 
}

var timer8 = null;
function timeOut8(){
	timer8 = setTimeout(function(){
		plus.nativeUI.closeWaiting();
		mui.toast('加载超时');
	}, 12000); 
}

var judge,
	yt = false;
var loadH = 50;
var slide = function (obj, callback) {
	var winH = $(window).height();
	var winW = $(window).width();
	var startY,
		endY,
		offsetY,
		isLock = false,//是否锁定整个操作
		isCanDo = false,//是否移动滑块
		isTouchPad = (/hp-tablet/gi).test(navigator.appVersion),
		hasTouch = 'ontouchstart' in window && !isTouchPad;

	//将对象转换为jquery的对象
	obj = $(obj);

	var objParent = obj.parent();
	
    /*操作方法*/
	var fn =
		{
			//移动容器
			translateY: function (diff) {
				obj.css({
					"-webkit-transform": "translate3d(0," + diff + "px,0)",
					"transform": "translate3d(0," + diff + "px,0)"
				});
				$('.slideDown').innerHTML = '下拉可刷新';
            },
            //设置效果时间
            setTranslition: function (time) {
                obj.css({
                    "-webkit-transition": "all " + time + "s linear",
                    "transition": "all " + time + "s linear"
                });
            },
            //返回到初始位置
            back: function () {
                fn.translateY(0);
                //标识操作完成
				isLock = false;
            }
        };

	//滑动开始
	obj.bind("touchstart", function (e) {
		if(objParent.scrollTop() <= 0 && !isLock){
			var even = typeof event == "undefined" ? e : event;
			//标识操作进行中
			isLock = true;
			isCanDo = true;
            offsetY = 0;
            startTime = new Date();
            //even.preventDefault();
            
            //保存当前鼠标Y坐标
            startY = hasTouch ? even.touches[0].pageY : even.pageY;
            //消除滑块动画时间
            fn.setTranslition(0);
       }
    });

	//滑动中
	obj.bind("touchmove", function (e) {
        if(objParent.scrollTop() <= 0 && isCanDo) {
            var even = typeof event == "undefined" ? e : event;
			
            //保存当前鼠标Y坐标
            endY = hasTouch ? even.touches[0].pageY : even.pageY;
        	
			offsetY = endY - startY;
        	
        	if (offsetY > 0) {
                even.preventDefault();
                //消除滑块动画时间
                fn.setTranslition(0);
                //移动滑块
                if(offsetY < loadH){
                	fn.translateY(offsetY);
                	$('.slideDown').text('下拉可刷新')
                }else if(offsetY>loadH && offsetY<loadH*2){
                	fn.translateY(loadH+(offsetY-loadH)*0.5);
                	$('.slideDown').text('松开以刷新');
                }else{
                	fn.translateY(loadH+loadH*0.5+(offsetY-loadH*2)*0.2)
                	$('.slideDown').text('松开以刷新');
                }
                
                if((startY + offsetY+8) > winH){
                	//console.log('432');
                	obj.ontouchend();
                	obj.removeAttr("touchend");
                }
            }else{
            	isCanDo = false;
            	fn.back();
            	return;
            }
        	
        }
    });
	
	obj.ontouchend = function(){
		if (isCanDo) {
			//console.log('超出边界啦');
	    	isCanDo = false;
			//判断滑动距离是否大于等于指定值
			if (offsetY > 50) {
	            //设置滑块回弹时间
	            fn.setTranslition(0.2);
	            //保留提示部分
	        	fn.translateY(50);
				
				$('.slideDown').text('正在刷新中...');
	            //执行回调函数
	            if (typeof callback == "function") {
	                //callback.call(fn, e);
	                //console.log(pId);
	                plus.webview.getWebviewById(pId).evalJS('billRefresh()');
	                var t = setTimeout(function () {
				        //that.back.call();
				        fn.translateY(0);
						isLock = false;   //标识操作完成
				        $('.slideDown').text('下拉可刷新');
				        clearTimeout(t);
				    }, 500);
	            }
			}else{
				//返回初始状态
				fn.back();
			}
        }
	}
	
    //滑动结束
    obj.bind("touchend", function (e) {
    	if (isCanDo) {
	    	isCanDo = false;
			//判断滑动距离是否大于等于指定值
			if (offsetY > 50) {
	            //设置滑块回弹时间，
	            fn.setTranslition(0.2);
	            //保留提示部分
	        	fn.translateY(50);
				
				$('.slideDown').text('正在刷新中...');
	            //执行回调函数
	            if (typeof callback == "function") {
	                callback.call(fn, e);
	            }
			}else{
				//返回初始状态
				fn.back();
			}
        }
    });
    
}

//ignore for the moment
var callbackF = function (e) {
    var that = this;
	
	plus.webview.getWebviewById(pId).evalJS('billRefresh()');
	var timer = setTimeout(function () {
        that.back.call();
        $('.slideDown').text('下拉可刷新');
        clearTimeout(timer);
    }, 500);
}


